let vue_dj = new Vue({
    el: '.left-nav',
    data:{
        data_table_DJ:[
            {name:'一级',state:0,id:1},
            {name:'二级',state:0,id:2},
            {name:'三级',state:0,id:3},
        ],
    },
    methods:{
        dj_query_type:function (item) {
            vue_right.query_type(item.id);
        }
    }
});

let vue_right = new Vue({
    el: '.right-nav',
    data: {
        data_table_type: [
            {name:'交通拥堵检测',id:'1'},
            {name:'拥堵结束',id:'2'},
            {name:'倒车/逆行检测',id:'3'},
            {name:'行人/非机动车闯入检测',id:'3'},
        ],
    },
    methods: {
        query_type:function (id) {
            
        }
    },
    mounted(){
        this.query_type(1);
    }
});

let vue_myModal1 = new Vue({
    el: '#myModal1',
    data: {
        data_s: {
            videoId: '',
            videoName: '',
            qybh: '',
            qymc: '',
            x: '',
            y: '',
            rtsp: '',
            factory: '',
            chargeman: '',
            chargemanlxdh: '',
        },
    },
    methods: {
        define: function () {
            $.ajax({
                url: "/video/add",
                dataType: "json",
                type: "POST",
                data: vue_myModal1.data_s,
                success: function (result) {
                    if (result.code == 0) {
                        vue_right.queryRY(1, true);
                        $("#myModal1").modal("hide");
                        info_new("监控新增成功");
                        window.setTimeout("$('#info-warning-new').modal('hide')", 2000);
                    }
                }
            });
        }
    }
});